> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v2/mfa/{type}/sign/{requestId}

> Submits an MFA verification code to retrieve a signToken.



## OpenAPI

````yaml POST /v2/mfa/{type}/sign/{requestId}
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v2/mfa/{type}/sign/{requestId}:
    post:
      summary: Verify MFA Code
      description: Submits an MFA verification code to retrieve a signToken.
      parameters:
        - name: type
          in: path
          required: true
          schema:
            type: string
            enum:
              - sms
              - google
          description: Type of MFA method
        - name: requestId
          in: path
          required: true
          schema:
            type: string
          description: MFA request ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                code:
                  type: string
                  maxLength: 6
              required:
                - code
      responses:
        '200':
          description: Successful verification
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  data:
                    type: object
                    properties:
                      signToken:
                        type: string
      security:
        - BasicAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    BasicAuth:
      type: http
      scheme: basic

````